ALTER TABLE `teach_clazz`
ADD COLUMN `belong_teach_course_id` BIGINT NULL COMMENT '分配班级时属于的教学课程id' AFTER `clazz_name`;

ALTER TABLE `teach_course`
ADD COLUMN `default_rate` DECIMAL(6,2) NULL COMMENT '默认占比' AFTER `weight_setting`,
ADD COLUMN `custom_rate` DECIMAL(6,2) NULL COMMENT '自定义占比' AFTER `default_rate`;

INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1128', '教师团队管理-分配班级列表查询', '/api/admin/teach/course/find_clazz_list', 'URL', '841', '26', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1129', '教师团队管理-分配班级', '/api/admin/teach/course/assign_clazz', 'URL', '841', '27', 'AUTH', '1', '1', '1');

UPDATE `sys_privilege` SET `related` = '77,842,843,844,845,846,847,848,849,850,851,852,853,866,1115,1116,1117,1118,1119,1120,1121,1122,1123,1124,1125,1126,1128,1129' WHERE (`id` = '841');

ALTER TABLE `mark_student` 
CHANGE COLUMN `package_code` `package_code` VARCHAR(64) NULL COMMENT '试卷袋编号' ;

INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('1130', '阅卷数据批量导入（同步）', '/api/admin/mark/setting/mark_student_import', 'URL', '917', '23', 'AUTH', '1', '1', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES ('1131', '阅卷数据导入', 'MarkStudentImport', 'BUTTON', '917', '8', 'AUTH', '1130', '1', '0', '1');
